import { Box } from "./Box";

export default {
  title: "Components/Box",
  component: Box,
  argTypes: {
    background: {
      control: {
        type: "select",
        options: [
          "primary.100",
          "primary.200",
          "primary.300",
          "primary.400",
          "primary.500",
          "primary.600",
          "primary.700",
          "primary.800",
          "primary.900",
        ],
      },
    },
  },
};

const Template = (args) => ({
  // Components used in your story `template` are defined in the `components` object
  components: { Box },

  // The story's `args` need to be mapped into the template through the `setup()` method
  setup() {
    return { args };
  },

  // And then the `args` are bound to your component with `v-bind="args"`
  template: `<box v-bind="args">Example Box</box>`,
});

export const Primary = Template.bind({});
Primary.args = {
  gap: "small",
};
