import { defineComponent, inject } from "vue";
import defaultConfig from "../../defaultConfig";
import { render } from "../../utils/render";

import type { RiverConfig } from "../../types";

export const Container = defineComponent({
  inheritAttrs: false,
  props: {
    size: [String, Object],
  },
  setup(props, { slots, attrs }) {
    const config = inject<RiverConfig>("$riverConfig", defaultConfig);
    const bem = config.classNamer("container");

    return () =>
      render("div", {
        config,
        slots,
        attrs,
        props: {
          class: [bem.block()],
          maxWidth: `container-${props.size}`,
        },
      });
  },
});
