import { Heading } from "./";

export default {
  title: "Components/Heading",
  component: Heading,
  argTypes: {
    as: {
      control: {
        type: "select",
        options: ["h1", "h2", "h3", "h4", "h5", "h6", "p", "div", "span"],
      },
    },
    size: {
      control: {
        type: "select",
        options: ["1", "2", "3", "4", "5", "6"],
      },
    },
    fontSize: {
      control: {
        type: "select",
        options: ["x-small", "small", "normal", "large", "x-large"],
      },
    },
  },
};

const Template = (args) => ({
  // Components used in your story `template` are defined in the `components` object
  components: { Heading },

  // The story's `args` need to be mapped into the template through the `setup()` method
  setup() {
    return { args };
  },

  // And then the `args` are bound to your component with `v-bind="args"`
  template: `<heading v-bind="args">Heading</heading>`,
});

export const Primary = Template.bind({});
Primary.args = {
  as: "h2",
};
