import { defineComponent, inject } from "vue";
import defaultConfig from "../../defaultConfig";
import { render } from "../../utils/render";

import type { RiverConfig } from "../../types";

export const Heading = defineComponent({
  inheritAttrs: false,
  props: {
    size: {
      type: String,
      default: "1",
    },
  },
  setup(props, { slots, attrs }) {
    const config = inject<RiverConfig>("$riverConfig", defaultConfig);
    const bem = config.classNamer("heading");

    return () =>
      render("h2", {
        config,
        slots,
        attrs,
        props: {
          class: [bem.block(), bem.modifier([props.size])],
        },
      });
  },
});
