import { defineComponent, inject } from "vue";
import defaultConfig from "../../defaultConfig";
import { render } from "../../utils/render";

import type { RiverConfig } from "../../types";

export const Paragraph = defineComponent({
  inheritAttrs: false,
  setup(_, { slots, attrs }) {
    const config = inject<RiverConfig>("$riverConfig", defaultConfig);
    const bem = config.classNamer("paragraph");

    return () =>
      render("p", {
        config,
        slots,
        attrs,
        props: {
          class: [bem.block()],
        },
      });
  },
});
