import { parser, propKeys } from "./defaultPropParser";
import { RiverConfig } from "./types";
import classNames from "classnames";

const defaultConfig: RiverConfig = {
  prefix: "r", // Component Name Prefix
  boxProps: {
    parser,
    list: propKeys,
  },
  classNamer: function bem(baseClass: string) {
    return {
      block: () => baseClass,
      element: (element: string) => `${baseClass}__${element}`,
      modifier: (variants: any) => {
        return classNames(variants)
          .split(" ")
          .map((variant) => `${baseClass}--${variant}`)
          .join(" ");
      },
    };
  },
};

export default defaultConfig;
