import { Slots } from "vue";

export type PropConfig = string | [string, string | null, boolean?];

export type BoxPropConfig = {
  propName: string;
  classPrefix: string | null;
  variants: boolean;
};

export type RiverConfig = {
  prefix: string;
  boxProps: {
    parser: (attribute: string, value: any) => string[];
    list: string[];
  };
  classNamer: (
    baseClass: string
  ) => {
    block: () => string;
    element: (child: string) => string;
    modifier: (variants: any) => string;
  };
};

export interface RenderProps {
  props: Record<string, any>;
  attrs: Record<string, any>;
  config: RiverConfig;
  slots: Slots;
  slot?: string;
}
